package com.xhpc.pp.tx;

import java.io.Serializable;
import java.util.Map;

public class ServiceParameter implements Serializable {

    private static final long serialVersionUID = 1L;

    private String serviceName;

    private String pileNo;

    private String version;

    private Map<String, Object> parameters;

    public ServiceParameter(String serviceName, String pileNo, Map<String, Object> parameters) {

        this.serviceName = serviceName;
        this.parameters = parameters;
        this.pileNo = pileNo;
    }

    public String getServiceName() {

        return serviceName;
    }

    public void setServiceName(String serviceName) {

        this.serviceName = serviceName;
    }

    public Map<String, Object> getParameters() {

        return parameters;
    }

    public void setParameters(Map<String, Object> parameters) {

        this.parameters = parameters;
    }

    public String getVersion() {

        return version;
    }

    public void setVersion(String version) {

        this.version = version;
    }

    public String getPileNo() {

        return pileNo;
    }

    public void setPileNo(String pileNo) {

        this.pileNo = pileNo;
    }

    @Override
    public String toString() {
        return "ServiceParameter{" +
                "serviceName='" + serviceName + '\'' +
                ", pileNo='" + pileNo + '\'' +
                ", version='" + version + '\'' +
                ", parameters=" + parameters +
                '}';
    }
}
